<?php 
require_once "../modelos/Registrocajachica.php";
if (strlen(session_id())<1) 
	session_start();

$registrocajachica  =   new Registrocajachica();

/* $("#monto").val(data.monto);
      $("#montod").val(data.montod);
			$("#idregistrocajachica").val(data.idregistrocajachica);
      $("#idbancocuenta").val(data.idbancocuenta);
      $("#fecha_hora").val(data.fecha);
      $("#detalle").val(data.detalle);
      $("#tasa_dollar").val(data.tasa); */

$idusuario					=   $_SESSION["idusuario"];
$idregistrocajachica=   isset($_POST["idregistrocajachica"])? limpiarCadena($_POST["idregistrocajachica"]):"";
$monto              =   isset($_POST["monto"])? limpiarCadena($_POST["monto"]):"";
$montod             =   isset($_POST["montod"])? limpiarCadena($_POST["montod"]):"";
$idbancocuenta      =   isset($_POST["idbancocuenta"])? limpiarCadena($_POST["idbancocuenta"]):"";
$detalle            =   isset($_POST["detalle"])? limpiarCadena($_POST["detalle"]):"";
$fecha_hora			    =   isset($_POST["fecha_hora"])? limpiarCadena($_POST["fecha_hora"]):"";
$tasa_dollar				=   isset($_POST["tasa_dollar"])? limpiarCadena($_POST["tasa_dollar"]):"";
$tiporegistro				=   isset($_POST["tiporegistro"])? limpiarCadena($_POST["tiporegistro"]):"";

////idregistrocajachica	idusuario	idbancocuenta	detalle	monto	montod	tasa	fecha	estado
switch ($_GET["op"]) {
    case 'guardaryeditar':
        if (empty($idregistrocajachica)) {
            $rspta=$registrocajachica->insertar($idusuario,$idbancocuenta,$detalle,$monto,$montod,$tasa_dollar,$fecha_hora,$tiporegistro);
            echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
        }else{
            $rspta=$registrocajachica->editar($idregistrocajachica,$idusuario,$idbancocuenta,$detalle,$monto,$montod,$tasa_dollar,$fecha_hora,$tiporegistro);
            echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
        }
	break;
	

	case 'eliminar':
		$rspta=$registrocajachica->eliminar($idregistrocajachica);
		echo $rspta ? "Datos eliminados correctamente" : "No se pudo eliminar los datos";
	break;
	
	case 'mostrar':
		$rspta=$registrocajachica->mostrar($idregistrocajachica);
		echo json_encode($rspta);
	break;

	case 'saldo':
		$rspta=$registrocajachica->saldo();
		echo json_encode($rspta);
	break;

			
	case 'buscarcliente':
		$rspta=$registrocajachica->buscarcliente($tipo_documento,$num_documento);
		echo json_encode($rspta);
	break;
	
	case 'buscarproveedor':
		$rspta=$registrocajachica->buscarproveedor($tipo_documento,$num_documento);
		echo json_encode($rspta);
	break;

	case 'desactivar':
		$rspta=$registrocajachica->desactivar($idregistrocajachica);
		echo $rspta ? "Datos desactivados correctamente" : "No se pudo desactivar los datos";
	break;
	
	case 'activar':
		$rspta=$registrocajachica->activar($idregistrocajachica);
		echo $rspta ? "Datos activados correctamente" : "No se pudo activar los datos";
	break;

	case 'listar':
		$rspta=$registrocajachica->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$fecha	=explode("-", $reg->fecha);
			$time1	= $fecha[2].'-'.$fecha[1].'-'.$fecha[0];
			
			
			$data[]=array(
			"0"=>($reg->estado=="Procesado")?'<button class="btn btn-warning btn-xs" 
			onclick="mostrar('.$reg->idregistrocajachica.')"><i class="fa fa-pencil"></i></button>'.' '.'
			<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idregistrocajachica.')">
			<i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" 
			onclick="mostrar('.$reg->idregistrocajachica.')"><i class="fa fa-pencil"></i></button>'.' '.'
			<button class="btn btn-primary btn-xs" onclick="activar('.$reg->idregistrocajachica.')">
			<i class="fa fa-check"></i></button>',
            "1"=>	$reg->fecha,
            "2"=>$reg->detalle,
            "3"=>number_format($reg->montod,2,',','.'),
						"4"=>($reg->tiporegistro=="ABONO")?'<span class="badge bg-blue">'.$reg->tiporegistro.'</span>':'<span class="badge bg-yellow">'.$reg->tiporegistro.'</span>',
            "5"=>($reg->estado=="Procesado")?'<span class="badge bg-green">'.$reg->estado.'</span>':'<span class="badge bg-red">'.$reg->estado.'</span>',
            );
		}
		$results=array(
            "sEcho"=>1,//info para datatables
            "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
            "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
            "aaData"=>$data); 
		echo json_encode($results);
	break;
}
?>